-
    headers: 'User-Agent: Bunjalloo/0.7.6(Nintendo DS;U;en)'
    result: { browser: { name: Bunjalloo, version: 0.7.6, type: browser }, device: { type: gaming, subtype: portable, manufacturer: Nintendo, model: DS } }
    readable: 'Bunjalloo 0.7.6 on a Nintendo DS'
-
    headers: 'User-Agent: Mozilla/5.0 (New Nintendo 3DS like iPhone) AppleWebKit/536.30 (KHTML, like Gecko) NX/3.0.0.5.10 Mobile NintendoBrowser/1.1.9996.EU'
    result: { browser: { name: 'NetFront NX', version: '3.0', type: browser }, engine: { name: Webkit, version: '536.30' }, device: { type: gaming, subtype: portable, manufacturer: Nintendo, model: 'New 3DS' } }
    readable: 'NetFront NX 3.0 on a Nintendo New 3DS'
-
    headers: 'User-Agent: Mozilla/5.0 (Nintendo 3DS like iPhone) Version/1.7412.JP'
    result: { engine: { name: WebKit }, os: { version: '1.7412' }, device: { type: gaming, subtype: portable, manufacturer: Nintendo, model: 3DS } }
    readable: 'a Nintendo 3DS running 1.7412'
-
    headers: 'User-Agent: Mozilla/5.0 (Nintendo 3DS; U; ; de) Version/1.7552.EU'
    result: { engine: { name: WebKit }, os: { version: '1.7552' }, device: { type: gaming, subtype: portable, manufacturer: Nintendo, model: 3DS } }
    readable: 'a Nintendo 3DS running 1.7552'
-
    headers: 'User-Agent: Mozilla/5.0 (Nintendo 3DS; U; ; en) Version/1.7455.EU'
    result: { engine: { name: WebKit }, os: { version: '1.7455' }, device: { type: gaming, subtype: portable, manufacturer: Nintendo, model: 3DS } }
    readable: 'a Nintendo 3DS running 1.7455'
-
    headers: 'User-Agent: Mozilla/5.0 (Nintendo 3DS; U; ; en) Version/1.7455.US'
    result: { engine: { name: WebKit }, os: { version: '1.7455' }, device: { type: gaming, subtype: portable, manufacturer: Nintendo, model: 3DS } }
    readable: 'a Nintendo 3DS running 1.7455'
-
    headers: 'User-Agent: Mozilla/5.0 (Nintendo 3DS; U; ; en) Version/1.7567.EU'
    result: { engine: { name: WebKit }, os: { version: '1.7567' }, device: { type: gaming, subtype: portable, manufacturer: Nintendo, model: 3DS } }
    readable: 'a Nintendo 3DS running 1.7567'
-
    headers: 'User-Agent: Mozilla/5.0 (Nintendo 3DS; U; ; ja) Version/1.7455.JP'
    result: { engine: { name: WebKit }, os: { version: '1.7455' }, device: { type: gaming, subtype: portable, manufacturer: Nintendo, model: 3DS } }
    readable: 'a Nintendo 3DS running 1.7455'
-
    headers: 'User-Agent: Mozilla/5.0 (Nintendo 3DS; U; ; ja) Version/1.7498.JP'
    result: { engine: { name: WebKit }, os: { version: '1.7498' }, device: { type: gaming, subtype: portable, manufacturer: Nintendo, model: 3DS } }
    readable: 'a Nintendo 3DS running 1.7498'
-
    headers: 'User-Agent: Mozilla/5.0 (Nintendo 3DS; U; Factory Media Production; en) Version/1.7498.US'
    result: { engine: { name: WebKit }, os: { version: '1.7498' }, device: { type: gaming, subtype: portable, manufacturer: Nintendo, model: 3DS } }
    readable: 'a Nintendo 3DS running 1.7498'
-
    headers: 'User-Agent: Mozilla/5.0 (Nintendo WiiU) AppleWebKit/534.52 (KHTML, like Gecko) NX/2.1.0.10.9 NintendoBrowser/1.5.0.8047.EU'
    result: { browser: { name: 'NetFront NX', version: '2.1', type: browser }, engine: { name: Webkit, version: '534.52' }, device: { type: gaming, subtype: console, manufacturer: Nintendo, model: 'Wii U' } }
    readable: 'NetFront NX 2.1 on a Nintendo Wii U'
-
    headers: 'User-Agent: Mozilla/5.0 (Nintendo WiiU) AppleWebKit/534.52 (KHTML, like Gecko) NX/2.1.0.10.9 NintendoBrowser/1.5.0.8047.US'
    result: { browser: { name: 'NetFront NX', version: '2.1', type: browser }, engine: { name: Webkit, version: '534.52' }, device: { type: gaming, subtype: console, manufacturer: Nintendo, model: 'Wii U' } }
    readable: 'NetFront NX 2.1 on a Nintendo Wii U'
-
    headers: 'User-Agent: Mozilla/5.0 (Nintendo WiiU) AppleWebKit/534.52 (KHTML, like Gecko) NX/2.1.0.8.21 NintendoBrowser/1.0.0.7494.US'
    result: { browser: { name: 'NetFront NX', version: '2.1', type: browser }, engine: { name: Webkit, version: '534.52' }, device: { type: gaming, subtype: console, manufacturer: Nintendo, model: 'Wii U' } }
    readable: 'NetFront NX 2.1 on a Nintendo Wii U'
-
    headers: 'User-Agent: Mozilla/5.0 (Nintendo WiiU) AppleWebKit/534.52 (KHTML, like Gecko) NX/2.1.0.8.8 Version/1.0.0.6760.JP'
    result: { browser: { name: 'NetFront NX', version: '2.1', type: browser }, engine: { name: Webkit, version: '534.52' }, device: { type: gaming, subtype: console, manufacturer: Nintendo, model: 'Wii U' } }
    readable: 'NetFront NX 2.1 on a Nintendo Wii U'
-
    headers: 'User-Agent: Mozilla/5.0 (Nintendo WiiU) AppleWebKit/534.53 (KHTML, like Gecko) NWF/1.2.0.USA'
    result: { browser: { name: 'Nintendo Web Framework', version: '1.2', type: browser }, engine: { name: Webkit, version: '534.53' }, device: { type: gaming, subtype: console, manufacturer: Nintendo, model: 'Wii U' } }
    readable: 'Nintendo Web Framework 1.2 on a Nintendo Wii U'
-
    headers: 'User-Agent: Mozilla/5.0 (Nintendo WiiU) AppleWebKit/534.53 (KHTML, like Gecko) NWF/1.2.13993.USA'
    result: { browser: { name: 'Nintendo Web Framework', version: '1.2', type: browser }, engine: { name: Webkit, version: '534.53' }, device: { type: gaming, subtype: console, manufacturer: Nintendo, model: 'Wii U' } }
    readable: 'Nintendo Web Framework 1.2 on a Nintendo Wii U'
-
    headers: 'User-Agent: Mozilla/5.0 (Nintendo WiiU) AppleWebKit/534.53 (KHTML, like Gecko) NWF/1.3.0.USA'
    result: { browser: { name: 'Nintendo Web Framework', version: '1.3', type: browser }, engine: { name: Webkit, version: '534.53' }, device: { type: gaming, subtype: console, manufacturer: Nintendo, model: 'Wii U' } }
    readable: 'Nintendo Web Framework 1.3 on a Nintendo Wii U'
-
    headers: 'User-Agent: Mozilla/5.0 (Nintendo WiiU) AppleWebKit/536.28 (KHTML, like Gecko) NX/3.0.3.11.12 NintendoBrowser/2.0.0.9098.JP'
    result: { browser: { name: 'NetFront NX', version: '3.0', type: browser }, engine: { name: Webkit, version: '536.28' }, device: { type: gaming, subtype: console, manufacturer: Nintendo, model: 'Wii U' } }
    readable: 'NetFront NX 3.0 on a Nintendo Wii U'
-
    headers: 'User-Agent: Mozilla/5.0 (Nintendo WiiU) AppleWebKit/536.28 (KHTML, like Gecko) NX/3.0.3.12.11 NintendoBrowser/2.1.0.9559.EU'
    result: { browser: { name: 'NetFront NX', version: '3.0', type: browser }, engine: { name: Webkit, version: '536.28' }, device: { type: gaming, subtype: console, manufacturer: Nintendo, model: 'Wii U' } }
    readable: 'NetFront NX 3.0 on a Nintendo Wii U'
-
    headers: 'User-Agent: Mozilla/5.0 (Nintendo WiiU) AppleWebKit/536.28 (KHTML, like Gecko) NX/3.0.3.12.6 NintendoBrowser/2.0.0.9362.EU'
    result: { browser: { name: 'NetFront NX', version: '3.0', type: browser }, engine: { name: Webkit, version: '536.28' }, device: { type: gaming, subtype: console, manufacturer: Nintendo, model: 'Wii U' } }
    readable: 'NetFront NX 3.0 on a Nintendo Wii U'
-
    headers: 'User-Agent: Mozilla/5.0 (Nintendo WiiU) AppleWebKit/536.28 (KHTML, like Gecko) NX/3.0.3.12.6 NintendoBrowser/2.0.0.9362.JP'
    result: { browser: { name: 'NetFront NX', version: '3.0', type: browser }, engine: { name: Webkit, version: '536.28' }, device: { type: gaming, subtype: console, manufacturer: Nintendo, model: 'Wii U' } }
    readable: 'NetFront NX 3.0 on a Nintendo Wii U'
-
    headers: 'User-Agent: Opera/9.30 (Nintendo Wii; U; ; 2047-7; en)'
    result: { browser: { name: Opera, version: '9.30', type: browser }, engine: { name: Presto }, device: { type: gaming, subtype: console, manufacturer: Nintendo, model: Wii } }
    readable: 'Opera 9.30 on a Nintendo Wii'
-
    headers: 'User-Agent: Opera/9.30 (Nintendo Wii; U; ; 3642; en)'
    result: { browser: { name: Opera, version: '9.30', type: browser }, engine: { name: Presto }, device: { type: gaming, subtype: console, manufacturer: Nintendo, model: Wii } }
    readable: 'Opera 9.30 on a Nintendo Wii'
-
    headers: 'User-Agent: Opera/9.30 (Nintendo Wii; U; ; 3642; ja)'
    result: { browser: { name: Opera, version: '9.30', type: browser }, engine: { name: Presto }, device: { type: gaming, subtype: console, manufacturer: Nintendo, model: Wii } }
    readable: 'Opera 9.30 on a Nintendo Wii'
-
    headers: 'User-Agent: Opera/9.50 (Nintendo DSi; Opera/507; U; en-GB)'
    result: { browser: { name: Opera, version: '9.50', type: browser }, engine: { name: Presto }, device: { type: gaming, subtype: portable, manufacturer: Nintendo, model: DSi } }
    readable: 'Opera 9.50 on a Nintendo DSi'
-
    headers: 'User-Agent: Opera/9.50 (Nintendo DSi; Opera/507; U; en-US)'
    result: { browser: { name: Opera, version: '9.50', type: browser }, engine: { name: Presto }, device: { type: gaming, subtype: portable, manufacturer: Nintendo, model: DSi } }
    readable: 'Opera 9.50 on a Nintendo DSi'
-
    headers: 'User-Agent: Opera/9.50 (Nintendo DSi; Opera/507; U; ja)'
    result: { browser: { name: Opera, version: '9.50', type: browser }, engine: { name: Presto }, device: { type: gaming, subtype: portable, manufacturer: Nintendo, model: DSi } }
    readable: 'Opera 9.50 on a Nintendo DSi'
-
    headers: 'User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Nitro) Opera 8.50 [ja]'
    result: { browser: { name: Opera, version: '8.50', type: browser }, engine: { name: Presto }, device: { type: gaming, subtype: portable, manufacturer: Nintendo, model: DS } }
    readable: 'Opera 8.50 on a Nintendo DS'
-
    headers: 'User-Agent: Mozilla/5.0 (Nintendo WiiU) AppleWebKit/534.53 (KHTML, like Gecko) NWF/2.0.0.0.USA'
    result: { browser: { name: 'Nintendo Web Framework', version: '2.0', type: browser }, engine: { name: Webkit, version: '534.53' }, device: { type: gaming, subtype: console, manufacturer: Nintendo, model: 'Wii U' } }
    readable: 'Nintendo Web Framework 2.0 on a Nintendo Wii U'
-
    headers: 'User-Agent: Mozilla/5.0 (Nintendo WiiU) AppleWebKit/534.53 (KHTML, like Gecko) NWF/2.0.0.38696.USA'
    result: { browser: { name: 'Nintendo Web Framework', version: '2.0', type: browser }, engine: { name: Webkit, version: '534.53' }, device: { type: gaming, subtype: console, manufacturer: Nintendo, model: 'Wii U' } }
    readable: 'Nintendo Web Framework 2.0 on a Nintendo Wii U'
-
    headers: 'User-Agent: Mozilla/5.0 (Nintendo Switch; LoginApplet) AppleWebKit/601.6 (KHTML, like Gecko) NF/4.0.0.5.9 NintendoBrowser/5.1.0.13341'
    readable: 'a Nintendo Switch'
    result: { engine: { name: Webkit, version: '601.6' }, device: { type: gaming, subtype: console, manufacturer: Nintendo, model: Switch } }
-
    headers: 'User-Agent: Mozilla/5.0 (Nintendo Switch; ShareApplet) AppleWebKit/601.6 (KHTML, like Gecko) NF/4.0.0.5.10 NintendoBrowser/5.1.0.13343'
    readable: 'a Nintendo Switch'
    result: { engine: { name: Webkit, version: '601.6' }, device: { type: gaming, subtype: console, manufacturer: Nintendo, model: Switch } }
-
    headers: 'User-Agent: Mozilla/5.0 (Nintendo Switch; ShopN) AppleWebKit/601.6 (KHTML, like Gecko) NF/4.0.0.5.10 NintendoBrowser/5.1.0.13343'
    readable: 'a Nintendo Switch'
    result: { engine: { name: Webkit, version: '601.6' }, device: { type: gaming, subtype: console, manufacturer: Nintendo, model: Switch } }
-
    headers: 'User-Agent: Mozilla/5.0 (Nintendo Switch; WebApplet) AppleWebKit/601.6 (KHTML, like Gecko) NF/4.0.0.5.2 NintendoBrowser/5.1.0.12653'
    readable: 'a Nintendo Switch'
    result: { engine: { name: Webkit, version: '601.6' }, device: { type: gaming, subtype: console, manufacturer: Nintendo, model: Switch } }
-
    headers: 'User-Agent: Mozilla/5.0 (Nintendo Switch; WebApplet) AppleWebKit/601.6 (KHTML, like Gecko) NF/4.0.0.6.9 NintendoBrowser/5.1.0.14935'
    readable: 'a Nintendo Switch'
    result: { engine: { name: Webkit, version: '601.6' }, device: { type: gaming, subtype: console, manufacturer: Nintendo, model: Switch } }
